> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usefini.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get run configuration

> List Behavior versions, rule drafts and article drafts available for a run.

List Behavior versions, rule drafts and article drafts available for a run.

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token containing your workspace API key. The key needs `read` scope.
</ParamField>

## Query parameters

<ParamField query="botId" type="string" required>
  Agent UUID. The agent must belong to the workspace.
</ParamField>

## Response

Returns `publishedPromptVersionId`, `behaviours`, `rules` and `articles`. Use these IDs in [Start run](/en/api-reference/start-test-suite-run).

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001' \
    --header 'Authorization: Bearer fini_your_api_key'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch("https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001", {
    method: "GET",
    headers: {
      Authorization: "Bearer fini_your_api_key",
    },
  });
  if (!response.ok) throw new Error(await response.text());
  const result = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.request(
      "GET",
      "https://api-prod.usefini.com/v2/test-suite/run-configuration/public?botId=00000000-0000-4000-8000-000000000001",
      headers={"Authorization": "Bearer fini_your_api_key"},
  )
  response.raise_for_status()
  result = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "publishedPromptVersionId": "00000000-0000-4000-8000-000000000025",
    "behaviours": [{"id": "00000000-0000-4000-8000-000000000007", "versionNumber": 2, "status": "DRAFT"}],
    "rules": [
      {
        "id": "00000000-0000-4000-8000-000000000008",
        "ruleId": "00000000-0000-4000-8000-000000000005",
        "name": "Refund workflow",
        "versionNumber": 2,
        "replacesPublished": true
      }
    ],
    "articles": [
      {
        "id": "00000000-0000-4000-8000-000000000009",
        "name": "Refund policy",
        "originalArticleId": "00000000-0000-4000-8000-000000000020"
      }
    ]
  }
  ```
</ResponseExample>


## Related topics

- [Overview](/en/api-reference/test-suite.md)
- [Get run](/en/api-reference/get-test-suite-run.md)
- [Start run](/en/api-reference/start-test-suite-run.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.